MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
MyGUI::IRenderTarget Class Referenceabstract

`#include <MyGUI_IRenderTarget.h>`

## Public Member Functions
| IRenderTarget ()
virtual | ~IRenderTarget ()
virtual void | begin ()=0
virtual void | end ()=0
virtual void | doRender (IVertexBuffer *_buffer, ITexture *_texture, size_t _count)=0
virtual const RenderTargetInfo & | getInfo ()=0

## Detailed Description

Definition at line 20 of file MyGUI_IRenderTarget.h.

## Constructor & Destructor Documentation

MyGUI::IRenderTarget::IRenderTarget | ( |  | ) |
| inline

Definition at line 23 of file MyGUI_IRenderTarget.h.

virtual MyGUI::IRenderTarget::~IRenderTarget | ( |  | ) |
| inline virtual

Definition at line 24 of file MyGUI_IRenderTarget.h.

## Member Function Documentation

virtual void MyGUI::IRenderTarget::begin | ( |  | ) |
| pure virtual

virtual void MyGUI::IRenderTarget::doRender | ( | IVertexBuffer * | _buffer,
|  | ITexture * | _texture,
|  | size_t | _count
| ) |  |
| pure virtual

virtual void MyGUI::IRenderTarget::end | ( |  | ) |
| pure virtual

virtual const RenderTargetInfo& MyGUI::IRenderTarget::getInfo | ( |  | ) |
| pure virtual

The documentation for this class was generated from the following file:

- MyGUI_IRenderTarget.h